Terawulf Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/terawulf-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/terawulf-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1743379200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investors.terawulf.com/sec-filings/all-sec-filings/content/0001083301-25-000038/wulf-20250331.htm",
    "holding_balance": 17.0,
    "holding_net_change": 12.0,
    "transaction_value_usd": 990397.08,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1751241600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://investors.terawulf.com/sec-filings/all-sec-filings/content/0001083301-25-000061/wulf-20250630.htm",
    "holding_balance": 0.0,
    "holding_net_change": -17.0,
    "transaction_value_usd": 1822455.59,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investors.terawulf.com/sec-filings/all-sec-filings/content/0001083301-25-000099/wulf-20250930.htm",
    "holding_balance": 4.0,
    "holding_net_change": 4.0,
    "transaction_value_usd": 456506.24,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/terawulf-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782950400000,
    4.0
  ],
  [
    1783036800000,
    4.0
  ],
  [
    1783123200000,
    4.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/terawulf-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782950400000,
    245951.32
  ],
  [
    1783036800000,
    250103.96
  ],
  [
    1783123200000,
    252345.36
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/terawulf-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 24.04,
    "date": "2026-06-30",
    "high": 25.54,
    "open": 24.82,
    "close": 24.7,
    "volume": 25873400
  },
  {
    "low": 22.24,
    "date": "2026-07-01",
    "high": 23.9,
    "open": 23.79,
    "close": 23.58,
    "volume": 30501000
  },
  {
    "low": 20.6,
    "date": "2026-07-02",
    "high": 23.53,
    "open": 23.49,
    "close": 21.18,
    "volume": 33897800
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/terawulf-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.234,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.196
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/terawulf-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -20.05,
  "six_month_return": 89.96,
  "three_month_return": 46.27
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/terawulf-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "up"
}